DRM_PRIME_GEM_DESTRO(9)

NAME
drm_prime_gem_destroy - helper to clean up a PRIME-imported GEM object

SYNOPSIS

void drm_prime_gem_destroy(struct drm_gem_object * obj, struct sg_table * sg);

ARGUMENTS

obj
    GEM object which was created from a dma-buf

sg
    the sg-table which was pinned at import time

DESCRIPTION

This is the cleanup functions which GEM drivers need to call when they use drm_gem_prime_import to import dma-bufs.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT